dofile('data/Scripts/Scenes/Common.lua');

function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

ApplyLevelDump(restoringFromSave);

if (restoringFromSave == true) then
	--// restore global value last level index from save
	globalLastLevelIndex = gameState.globalLastLevelIndex;
end

	gameState.pointOpacity = 0.05;	
	gameState.globalLastLevelIndex = globalLastLevelIndex;
	gameState.levelComplete = false;
	gameState.enableInput = false;
	gameState.textMessage = nil;
	gameState.textScrollShowDistance = 70.0;

    auxInitMain();
end

function OnSceneFree()
    FreeData()
end

--// auxiliary functions -----------------------------------------------------

--// the main routine of global map data initialization
function auxInitMain()
	auxStopAnimation('MapMarkerHitEffect', HGEANIM_FWD + HGEANIM_NOLOOP);
	auxAttachInPlace(playField:GetObject('MapMarkerHitEffect'), playField:GetObject('Map'));

	playField:GetObject('textScroll'):SetY(playField:GetObject('textScroll'):GetY() + gameState.textScrollShowDistance);

    auxLoadFogMaps();
	auxCreateMapMarkersMap();
    auxProcessMapMarkers(auxActionInitAttachedObjects);
	auxInitLevelInfo();

    local fogBlendDuration = 2.0;
    TimerDoString('auxBlendFogMaps();', fogBlendDuration, playField:GetTimer());

    if (GetLastLevelIndex() < table.getn(GetLevelMap())) then
        TimerDoString('auxActivateLevelPoints(GetLastLevelIndex() + 1);', fogBlendDuration + 0.2, playField:GetTimer());
    else
        --// game comleted!
    end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function ShowUpTextScroll(duration)
	playField:GetObject('textScroll'):Move(0.0, -gameState.textScrollShowDistance, duration);
    TimerDoString('gameState.enableInput = true;', duration, playField:GetTimer());
end

function CreatePromptText()
    local text = CreateTextEntity('ComicsTextFont','');	--'TextFont', '');
    text:SetText(GetTextString('CLICK_ANYWHERE_TO_START_LEVEL'));
    text:AttachTo(playField:GetObject('textScroll'));
--    text:SetXY(0.0, SCREEN_HEIGHT/2.0 - 35.0);
    text:SetZ(300.0);
	text:SetScale(1.2);
	gameState.textMessage = text;

    local duration = 2.0;
    local eff = CreateAnimationEffector();
    eff:AttachTo(text);
    eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP);
    eff:SetKey(_TRACK_O,  duration*0.0,		1.0);
    eff:SetKey(_TRACK_O,  duration*0.25,	0.75);
    eff:SetKey(_TRACK_O,  duration*0.5,		0.5);
    eff:SetKey(_TRACK_O,  duration*0.75,	0.75);
    eff:SetKey(_TRACK_O,  duration*1.0,		1.0);  
    eff:Play();

	ShowUpTextScroll(0.25);
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxLoadFogMaps()
    assert(globalLastLevelIndex >= 0);
    
    local GetMapFogNamebyLevelIndex = function(levelIndex)
        return 'data/Texture/Scenes/GlobalMap/fog/map'..(levelIndex == 0 and '' or tostring(levelIndex))..'.alpha.jpg';
    end
    local LoadMapFog = function(name, alphaMapFileName, opacity, z)
		local anim = CreateAnimation('data/Texture/Scenes/GlobalMap/fog/map.jpg', alphaMapFileName, 0,0,1024,768, 1,0);
		anim:SetHotSpot(512,384);
		anim:SetBlendMode(2);
		anim:SetColor('0xFFFFFFFF');
		playField:CreateObject(name,anim,512,384,z,0,1,1);
		
		local obj = playField:GetObject(name);
		obj:SetOpacity(opacity);
		return obj;
    end
    
    local currentFogMapName = GetMapFogNamebyLevelIndex(globalLastLevelIndex);
    local nextFogMapName = GetMapFogNamebyLevelIndex(globalLastLevelIndex + 1);
    
    gameState.currentFogMap = LoadMapFog('CurrentMapFog', currentFogMapName, 1.0, 297.0);
    gameState.nextFogMap = LoadMapFog('NextMapFog', nextFogMapName, 0.0, 298.0);
end
function auxBlendFogMaps()
    assert(gameState.currentFogMap ~= nil and gameState.nextFogMap ~= nil);
    
    local fogBlendDuration = 1.25;
    local fogBlendOverlap = fogBlendDuration * 0.4;
    gameState.currentFogMap:ChangeOpacityWithDelay(1.0, 0.0, fogBlendDuration - fogBlendOverlap, fogBlendOverlap);
    gameState.nextFogMap:ChangeOpacity(0.0, 1.0, fogBlendDuration - fogBlendOverlap);
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxShowMapParts()
    auxProcessMapMarkers(auxActionShowMapObjects);
end

function auxActionInitAttachedObjects(obj)
    obj:SetVisible(false);
	auxAttachInPlace(obj, playField:GetObject('Map'));
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function IsDoneMarkerName(name)
    if (string.len(name) <= string.len('mapMarkerDone')) then
        return false;
    end
    return string.sub(name, 1, string.len('mapMarkerDone')) == 'mapMarkerDone';
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function IsPathPointName(name)
    if (string.len(name) <= string.len('point_')) then
        return false;
    end
    return string.sub(name, 1, string.len('point_')) == 'point_';
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxActionShowMapObjects(obj)
    local objName = obj:GetName();
    local isDoneMarker = IsDoneMarkerName(objName);
    local isPathPoint = IsPathPointName(objName);
    if (isDoneMarker or isPathPoint) then
		obj:GetAnimation():SetColor('0xFF80FFFF');
        obj:SetOpacity(gameState.pointOpacity);
        obj:SetVisible(true);
    else
        obj:SetOpacity(0.0);
        obj:SetVisible(true);
    end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxProcessMapMarkers(action)
    assert(action == auxActionInitAttachedObjects or
		   action == auxActionShowMapObjects);

	for i = 0,50 do
		local markerName = 'MapMarker'..i;
		local markerDoneName = 'mapMarkerDone'..i;

		if (playField:HasObject(markerName) == true) then
			action(playField:GetObject(markerName));
			action(playField:GetObject(markerDoneName));
		    for j = 1,8 do
		        local pointName = 'point_'..(i+1)..j;
		        if (playField:HasObject(pointName)) then
    			    action(playField:GetObject(pointName));
    			end
		    end
		else
			break;
		end
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxCreateMapMarkersMap()
	assert(gameState.mapMarkers == nil);
	gameState.mapMarkers = {};
    local levelMap = GetLevelMap();
    
	for i = 0,table.getn(levelMap) do
	    local levelFileName = levelMap[i];
		local markerName = 'MapMarker'..i;
		local markerDoneName = 'mapMarkerDone'..i;

		gameState.mapMarkers[i] = {};
		gameState.mapMarkers[i].levelFileName = levelFileName;

		if (playField:HasObject(markerName) == true) then
			assert(playField:HasObject(markerDoneName) == true);

            playField:IgnoreOnTestPoint(markerName);
			gameState.mapMarkers[i].markerName = playField:GetObject(markerName);
			gameState.mapMarkers[i].markerDoneName = playField:GetObject(markerDoneName);
			gameState.mapMarkers[i].points = {};
		    for j = 1,8 do
		        local pointName = 'point_'..(i+1)..j;
		        if (playField:HasObject(pointName)) then
					gameState.mapMarkers[i].points[j] = playField:GetObject(pointName);
    			end
		    end
		end
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxActivatePathByLevel(levelIndex)
    assert(levelIndex <= table.getn(gameState.mapMarkers));

	for i = 0,levelIndex - 1 do
        local levelMarkers = gameState.mapMarkers[i];
   	    if (levelMarkers.markerName ~= nil) then
	        levelMarkers.markerName:SetVisible(true);
	        levelMarkers.markerName:SetOpacity(1.0);
	    end
	    if (levelMarkers.markerDoneName ~= nil) then
	        levelMarkers.markerDoneName:GetAnimation():SetColor('0xFFFFFFFF');
	        levelMarkers.markerDoneName:SetVisible(true);
	        levelMarkers.markerDoneName:SetOpacity(1.0);
	    end
	    if (levelMarkers.points ~= nil) then
    	    for j = 1,table.getn(levelMarkers.points) do
				levelMarkers.points[j]:GetAnimation():SetColor('0xFFFFFFFF');
    		    levelMarkers.points[j]:SetOpacity(1.0);
	        end
	    end
	end
	if (gameState.mapMarkers[levelIndex].markerDoneName ~= nil) then
		local levelMarkers = gameState.mapMarkers[levelIndex];
   	    if (levelMarkers.markerName ~= nil) then
	        levelMarkers.markerName:SetVisible(true);
	        levelMarkers.markerName:SetOpacity(1.0);
	    end
	    if (levelMarkers.markerDoneName ~= nil) then
	        levelMarkers.markerDoneName:GetAnimation():SetColor('0xFFFFFFFF');
	        levelMarkers.markerDoneName:SetVisible(true);
	        levelMarkers.markerDoneName:SetOpacity(1.0);
		end
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxActivateLevelPoints(levelIndex)
    assert(levelIndex > 0 and
           levelIndex <= table.getn(gameState.mapMarkers) and
           gameState.mapMarkers[levelIndex - 1] ~= nil and
           gameState.mapMarkers[levelIndex] ~= nil);

    local prevLevelMarkers = gameState.mapMarkers[levelIndex - 1];
    local levelMarkers = gameState.mapMarkers[levelIndex];
    local pointShowDuration = 1.0;
    local markerFallDuration = 0.5;

    if (prevLevelMarkers.markerDoneName ~= nil) then
    	prevLevelMarkers.markerDoneName:GetAnimation():SetColor('0xFFFFFFFF');
        prevLevelMarkers.markerDoneName:SetOpacity(1.0);
        if (prevLevelMarkers.markerName ~= nil) then
            prevLevelMarkers.markerName:SetOpacity(1.0);
            prevLevelMarkers.markerName:SetVisible(true);
        end
    end
    if (prevLevelMarkers.points ~= nil and table.getn(prevLevelMarkers.points) > 0) then
        local pointCount = table.getn(prevLevelMarkers.points);
        for j = 1,pointCount do
            local point = prevLevelMarkers.points[j];
			point:GetAnimation():SetColor('0xFFFFFFFF');
            local eff = CreateAnimationEffector();
            eff:AttachTo(point);
            eff:SetKey(_TRACK_O, 0.0,                                   gameState.pointOpacity);            
            eff:SetKey(_TRACK_O, pointShowDuration * (j-1)/pointCount,	gameState.pointOpacity);
            eff:SetKey(_TRACK_O, pointShowDuration * j/pointCount, 		1.0);
            eff:Play();
        end
    end
    if (levelMarkers.markerDoneName ~= nil) then
        local eff = CreateAnimationEffector();
		levelMarkers.markerDoneName:GetAnimation():SetColor('0xFFFFFFFF');
        eff:AttachTo(levelMarkers.markerDoneName);
        eff:SetKey(_TRACK_O, 0.0, 	                    gameState.pointOpacity);
        eff:SetKey(_TRACK_O, pointShowDuration,    	    gameState.pointOpacity);
        eff:SetKey(_TRACK_O, pointShowDuration * 1.1,   1.0);
        eff:Play();
    end
    if (levelMarkers.markerName ~= nil) then
        levelMarkers.markerName:SetOpacity(0.0);
        levelMarkers.markerName:SetVisible(true);
        local markerY = levelMarkers.markerName:GetY();
        local fallHeight = 100.0;

        local eff = CreateAnimationEffector();
        eff:AttachTo(levelMarkers.markerName);
        eff:SetKey(_TRACK_O, 0.0,                                   0.0);
        eff:SetKey(_TRACK_O, pointShowDuration,                     0.0);
        eff:SetKey(_TRACK_O, pointShowDuration + markerFallDuration,1.0);

        eff:SetKey(_TRACK_Y, 0.0,                                           markerY - fallHeight);
        eff:SetKey(_TRACK_Y, pointShowDuration,                             markerY - fallHeight);        
        eff:SetKey(_TRACK_Y, pointShowDuration + markerFallDuration * 5/9,	markerY);
        eff:SetKey(_TRACK_Y, pointShowDuration + markerFallDuration * 6/9,	markerY - fallHeight * 0.1);
        eff:SetKey(_TRACK_Y, pointShowDuration + markerFallDuration * 7/9,	markerY);
        eff:SetKey(_TRACK_Y, pointShowDuration + markerFallDuration * 8/9,	markerY - fallHeight * 0.05);
        eff:SetKey(_TRACK_Y, pointShowDuration + markerFallDuration * 9/9,	markerY);

        eff:SetKey(_TRACK_SX, 0.0,                                          1.0);
        eff:SetKey(_TRACK_SY, 0.0,                                          1.0);
        eff:SetKey(_TRACK_SX, pointShowDuration, 	                	    1.0);
        eff:SetKey(_TRACK_SY, pointShowDuration, 	                	    1.0);
        eff:SetKey(_TRACK_SX, pointShowDuration + markerFallDuration * 5/9, 0.7);
        eff:SetKey(_TRACK_SY, pointShowDuration + markerFallDuration * 5/9, 0.7);
        eff:SetKey(_TRACK_SX, pointShowDuration + markerFallDuration * 7/9, 0.6);
        eff:SetKey(_TRACK_SY, pointShowDuration + markerFallDuration * 7/9, 0.8);
        eff:SetKey(_TRACK_SX, pointShowDuration + markerFallDuration * 8/9, 0.7);
        eff:SetKey(_TRACK_SY, pointShowDuration + markerFallDuration * 8/9, 0.7);

        eff:Play();

		playField:GetObject('MapMarkerHitEffect'):SetXY(levelMarkers.markerDoneName:GetX(), levelMarkers.markerDoneName:GetY());
		TimerDoString("playField:GetObject('MapMarkerHitEffect'):GetAnimation():Play();", pointShowDuration + markerFallDuration * 5/9, playField:GetTimer());
		TimerDoString('PlaySound(\'L00S01\');', pointShowDuration + markerFallDuration * 5/9, playField:GetTimer());
    end
    
	local inputEnalbeDelay = 1.0;
	TimerDoString('CreatePromptText();', (pointShowDuration + markerFallDuration) * 1.1 + inputEnalbeDelay, playField:GetTimer());
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxGetLevelIndexByDoneMarkerName(markerName)
    local numberPos = string.len('mapMarkerDone') + 1;
    local levelIndex = tonumber(string.sub(markerName, numberPos, string.len(markerName)));
    return levelIndex;
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxInitLevelInfo()
	local lastLevelIndex = GetLastLevelIndex();
	assert(lastLevelIndex >= 0);

	auxShowMapParts();
	auxActivatePathByLevel(lastLevelIndex);
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxLoadLevelByIndex(levelIndex)
	local lastLevelIndex = GetLastLevelIndex();
	SetLastLevelIndex(lastLevelIndex + 1);

	GTimerDoString('playField:GetLevelScreen():ScreenDestroy()', 0.9);
	GTimerDoString('load_level(GetLevelMap()[GetLastLevelIndex()], false)', 1.0);
end
------------------------------------------------------------------------------

function OnDialogButtonPress(name, param)
end

function OnUpdate(dt)
end

function OnWin()
    local lastLevelIndex = GetLastLevelIndex();

	if (gameState.enableInput == true and
        gameState.levelComplete == false and lastLevelIndex < table.getn(GetLevelMap())) then
		gameState.textMessage:SetText(GetTextString('LEVEL_DATA_IS_LOADING'));
		gameState.levelComplete = true;
		TimerDoString('auxLoadLevelByIndex('..tostring(lastLevelIndex + 1)..');', 0.15, playField:GetTimer());
	end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    objectName = object:GetName()
	OnWin();
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end
--// mapPos: 502,383

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/GlobalMap/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Map',anim,512,384,95,0,1,1)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarkerHitEffect.jpg',0,0,128,128,60,30)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarkerHitEffect',anim,65,642,101,0,1,2)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/textScroll.png',0,0,556,74,1,0)
	anim:SetHotSpot(278,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('textScroll',anim,518,733,299,0,1,1)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker0',anim,255,740,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone0',anim,254,736,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_11',anim,235,732,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_12',anim,220,730,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_13',anim,207,722,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_14',anim,191,714,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_15',anim,177,705,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_16',anim,170,691,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_17',anim,171,678,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_18',anim,181,665,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker1',anim,194,656,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone1',anim,193,647,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_21',anim,225,648,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_22',anim,239,635,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_23',anim,250,622,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_24',anim,264,613,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_25',anim,270,598,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_26',anim,278,584,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_27',anim,267,572,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_28',anim,257,561,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker3.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker2',anim,260,549,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone2',anim,260,541,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_31',anim,236,551,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_32',anim,221,554,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_33',anim,206,556,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_34',anim,190,548,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_35',anim,172,545,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_36',anim,155,540,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_37',anim,144,526,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_38',anim,142,512,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker5.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker3',anim,145,500,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone3',anim,143,490,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_41',anim,163,486,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_42',anim,178,479,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_43',anim,197,471,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_44',anim,218,466,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_45',anim,235,459,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_46',anim,249,450,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_47',anim,258,435,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_48',anim,251,416,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker3.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker4',anim,237,400,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone4',anim,237,395,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_51',anim,224,376,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_52',anim,215,360,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_53',anim,204,346,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_54',anim,186,334,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_55',anim,166,324,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_56',anim,150,315,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_57',anim,137,299,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_58',anim,135,280,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker5.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker5',anim,129,262,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone5',anim,128,257,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_61',anim,111,240,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_62',anim,99,225,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_63',anim,85,210,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_64',anim,72,193,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_65',anim,69,175,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_66',anim,82,161,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_67',anim,100,151,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_68',anim,116,144,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker6',anim,130,133,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone6',anim,130,127,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_71',anim,148,139,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_72',anim,163,136,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_73',anim,180,137,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_74',anim,191,148,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_75',anim,191,162,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_76',anim,193,176,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_77',anim,207,183,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_78',anim,224,184,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker4.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker7',anim,244,180,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone7',anim,243,176,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_81',anim,234,160,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_82',anim,230,145,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_83',anim,236,131,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_84',anim,262,132,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_85',anim,279,123,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_86',anim,292,112,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_87',anim,303,121,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_88',anim,305,137,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker8',anim,314,157,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone8',anim,315,151,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_91',anim,337,151,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_92',anim,353,154,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_93',anim,370,157,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_94',anim,389,155,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_95',anim,406,151,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_96',anim,424,148,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_97',anim,442,148,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_98',anim,457,146,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker4.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker9',anim,477,148,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone9',anim,477,142,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_101',anim,469,165,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_102',anim,457,178,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_103',anim,445,191,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_104',anim,436,207,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_105',anim,429,223,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_106',anim,422,237,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_107',anim,412,253,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_108',anim,399,265,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker3.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker10',anim,375,275,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone10',anim,375,270,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_111',anim,380,295,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_112',anim,373,312,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_113',anim,389,322,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_114',anim,411,325,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_115',anim,432,326,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_116',anim,453,328,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_117',anim,474,327,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_118',anim,494,325,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker11',anim,514,318,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone11',anim,514,312,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_121',anim,536,301,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_122',anim,554,294,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_123',anim,573,299,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_124',anim,583,314,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_125',anim,600,321,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_126',anim,622,324,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_127',anim,644,326,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_128',anim,661,322,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker12',anim,670,310,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone12',anim,671,304,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_131',anim,686,318,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_132',anim,704,319,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_133',anim,720,309,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_134',anim,734,296,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_135',anim,751,289,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_136',anim,771,283,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_137',anim,782,269,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_138',anim,787,253,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker13',anim,776,239,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone13',anim,776,233,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_141',anim,753,236,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_142',anim,737,238,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_143',anim,719,230,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_144',anim,705,217,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_145',anim,690,205,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_146',anim,676,197,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_147',anim,659,196,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_148',anim,648,185,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker4.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker14',anim,657,172,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone14',anim,657,166,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_151',anim,677,154,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_152',anim,695,148,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_153',anim,715,148,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_154',anim,737,146,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_155',anim,755,136,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_156',anim,773,123,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_157',anim,790,116,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_158',anim,807,115,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker5.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker15',anim,828,123,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone15',anim,828,116,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_161',anim,833,137,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_162',anim,844,152,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_163',anim,851,169,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_164',anim,864,182,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_165',anim,877,191,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_166',anim,889,200,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_167',anim,896,217,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_168',anim,904,234,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker16',anim,915,256,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone16',anim,915,250,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_171',anim,914,274,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_172',anim,915,290,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_173',anim,914,308,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_174',anim,906,327,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_175',anim,895,343,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_176',anim,879,355,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_177',anim,863,364,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_178',anim,849,373,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker4.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker17',anim,824,383,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone17',anim,823,376,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_181',anim,812,396,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_182',anim,799,406,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_183',anim,782,415,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_184',anim,762,421,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_185',anim,739,423,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_186',anim,714,424,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_187',anim,695,426,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_188',anim,678,432,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker4.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker18',anim,649,439,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone18',anim,650,434,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_191',anim,655,454,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_192',anim,660,469,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_193',anim,655,483,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_194',anim,652,500,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_195',anim,655,518,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_196',anim,656,535,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_197',anim,657,551,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_198',anim,665,567,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker19',anim,682,575,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone19',anim,683,570,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_201',anim,709,577,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_202',anim,728,579,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_203',anim,748,579,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_204',anim,770,582,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_205',anim,791,582,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_206',anim,812,580,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_207',anim,830,584,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_208',anim,845,592,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker20',anim,865,607,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone20',anim,865,601,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_211',anim,888,618,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_212',anim,899,633,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_213',anim,900,653,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_214',anim,888,669,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_215',anim,875,682,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_216',anim,859,688,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_217',anim,838,691,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_218',anim,818,690,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker3.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker21',anim,793,690,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone21',anim,794,685,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_221',anim,765,676,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_222',anim,746,667,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_223',anim,717,661,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_224',anim,695,656,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_225',anim,671,654,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_226',anim,647,661,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_227',anim,625,672,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_228',anim,603,685,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker1.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker22',anim,572,695,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone22',anim,574,690,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_231',anim,562,676,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_232',anim,559,654,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_233',anim,553,633,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_234',anim,552,611,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_235',anim,562,593,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_236',anim,582,585,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_237',anim,596,573,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_238',anim,587,555,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker5.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker23',anim,571,539,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone23',anim,570,532,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_241',anim,551,536,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_242',anim,527,535,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_243',anim,510,544,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_244',anim,492,556,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_245',anim,475,567,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_246',anim,454,567,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_247',anim,436,566,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_248',anim,423,556,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker3.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker24',anim,402,553,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone24',anim,402,546,100,0,0.4,0.4)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_251',anim,389,563,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_252',anim,374,572,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_253',anim,360,586,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_254',anim,347,599,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_255',anim,336,614,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_256',anim,327,629,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_257',anim,323,646,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/point.png',0,0,30,30,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('point_258',anim,330,661,100,0,0.5,0.5)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/MapMarker2.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapMarker25',anim,348,688,102,0,0.7,0.7)
	anim = CreateAnimation('data/Texture/Scenes/GlobalMap/markerDone.png',0,0,74,75,1,0)
	anim:SetHotSpot(37,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mapMarkerDone25',anim,347,680,100,0,0.4,0.4)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
